Streaming game development: https://www.twitch.tv/stabyourself Image

HELP WITH MODDING!

Mods, guides how to use and install mods go right in here.
Its_Stango
User avatar
Posts: 12
Joined: 31 May 2017, 13:54
Reputation: 0

Post » 01 Jun 2017, 06:42

Salutations everybody, I am Its_Stango. I wanted to mod Mari0 BUT I CANT FIGURE IT OUT!!!! I open up the LUA. files (beacuse I emailed stabyourself.net) with LOVE 0.12.0 but it says "NO GAME". So if you people can help me out, leave a comment, thanks! I really need the help!

I LÖVE LUA
User avatar
Posts: 170
Joined: 12 Aug 2013, 13:19
Reputation: 21
Contact:

Post » 01 Jun 2017, 14:43

First, hello and welcome to the forums.
Second,
Its_Stango wrote:beacuse I emailed stabyourself.net

You don't need to email anything, the source is available here (bottom of the page, red button).
Third, LÖVE 0.12.0 does not exist yet (you probably meant 0.10.2), and you need 0.8.0 to open Mari0 (unless it is the Special Edition where it needs 0.9.X (a.k.a. from 0.9.0 to 0.9.2) to run).
Forth, don't open the lua files directly, drag the folder with the lua files (or the zip file) on LÖVE (if the file has a blue icon and is called "[SOMETHING].love", you can double-click it).
And fifth, the title is wrong, you try to open the game, not mod it (unless you actually modified the game but you didn't mention it). And the section is wrong too, you probably want to post it here.

Hopefully you can understand me (because I'm not the best at explaining things).

Its_Stango
User avatar
Posts: 12
Joined: 31 May 2017, 13:54
Reputation: 0

Post » 02 Jun 2017, 03:32

I LÖVE LUA wrote:First, hello and welcome to the forums.
Second,
Its_Stango wrote:beacuse I emailed stabyourself.net

You don't need to email anything, the source is available here (bottom of the page, red button).
Third, LÖVE 0.12.0 does not exist yet (you probably meant 0.10.2), and you need 0.8.0 to open Mari0 (unless it is the Special Edition where it needs 0.9.X (a.k.a. from 0.9.0 to 0.9.2) to run).
Forth, don't open the lua files directly, drag the folder with the lua files (or the zip file) on LÖVE (if the file has a blue icon and is called "[SOMETHING].love", you can double-click it).
And fifth, the title is wrong, you try to open the game, not mod it (unless you actually modified the game but you didn't mention it). And the section is wrong too, you probably want to post it here.

Hopefully you can understand me (because I'm not the best at explaining things).


Hey I LÖVE LUA, I couldn't quite understand you, perhaps you can email me a private video of doing this. My email is mariomegaman671@gmail.com

Technochips
User avatar
Posts: 708
Joined: 12 Mar 2015, 16:05
Reputation: 199
Contact:

Post » 02 Jun 2017, 04:25

i don't think sharing email address on a public forum is good

Its_Stango
User avatar
Posts: 12
Joined: 31 May 2017, 13:54
Reputation: 0

Post » 02 Jun 2017, 06:30

Technochips wrote:i don't think sharing email address on a public forum is good

Oh

I LÖVE LUA
User avatar
Posts: 170
Joined: 12 Aug 2013, 13:19
Reputation: 21
Contact:

Post » 02 Jun 2017, 14:57

Image


Image


Image
You just need to double-click it


You'll also need the correct version of LÖVE (depending of what version you want to use). So, in main.lua, you'll find a line starting with

Code: Select all

versionstring =

if the line ends with "version 1.0se", then you need 0.9.X. If not, then you need 0.8.0.
I would like to link it to you, but I don't know what operating system you are using (and if you are using Windows, knowing if it is 32bit or 64 bit will help too).

QwertymanO07
User avatar
Posts: 1370
Joined: 05 Oct 2012, 07:58
Reputation: 384
Contact:

Post » 03 Jun 2017, 02:00

https://bitbucket.org/rude/love/downloads/
Right there is every single version of LÖVE. It'll take some searching, but you can find it somewhere in there.

I LÖVE LUA
User avatar
Posts: 170
Joined: 12 Aug 2013, 13:19
Reputation: 21
Contact:

Post » 03 Jun 2017, 02:05

QwertymanO07 wrote:https://bitbucket.org/rude/love/downloads/
Right there is every single version of LÖVE. It'll take some searching, but you can find it somewhere in there.


I know, I just wanted to avoid him to have to search for the correct version

QwertymanO07
User avatar
Posts: 1370
Joined: 05 Oct 2012, 07:58
Reputation: 384
Contact:

Post » 03 Jun 2017, 02:15

I was responding to Stango, but anyway, we might as well give them a place to start. If they then find it overwhelming, someone can post the correct version, assuming they say their OS.

Its_Stango
User avatar
Posts: 12
Joined: 31 May 2017, 13:54
Reputation: 0

Post » 03 Jun 2017, 15:33

When I open the folder with love 0.9.2 Its only giving me an error saying that i need a newer version.

I LOVE LUA, can you give me the download link of that "Mari0 folder from this reply you sent:

I LÖVE LUA wrote:
Image


Image


Image
You just need to double-click it


You'll also need the correct version of LÖVE (depending of what version you want to use). So, in main.lua, you'll find a line starting with

Code: Select all

versionstring =

if the line ends with "version 1.0se", then you need 0.9.X. If not, then you need 0.8.0.
I would like to link it to you, but I don't know what operating system you are using (and if you are using Windows, knowing if it is 32bit or 64 bit will help too).

I LÖVE LUA
User avatar
Posts: 170
Joined: 12 Aug 2013, 13:19
Reputation: 21
Contact:

Post » 03 Jun 2017, 16:16

You mean this ?
Image
My server's struggling so the image might take a while to load

If it's the case, then you need 0.8.0 (the error just says it requires another version, not necessarily a newer one)
And the folder is just the extracted source (and is the v1.1 of my mod by the way, so I can't share it right now)

Technochips
User avatar
Posts: 708
Joined: 12 Mar 2015, 16:05
Reputation: 199
Contact:

Post » 03 Jun 2017, 21:09

you should use imgur for images

Its_Stango
User avatar
Posts: 12
Joined: 31 May 2017, 13:54
Reputation: 0

Post » 03 Jun 2017, 23:38

I LÖVE LUA wrote:You mean this ?
Image
My server's struggling so the image might take a while to load

If it's the case, then you need 0.8.0 (the error just says it requires another version, not necessarily a newer one)
And the folder is just the extracted source (and is the v1.1 of my mod by the way, so I can't share it right now)


Wait, I can't extract Mari0. How do I do it?

Technochips
User avatar
Posts: 708
Joined: 12 Mar 2015, 16:05
Reputation: 199
Contact:

Post » 03 Jun 2017, 23:50

rename the .love file into a .zip file, then extract that

Its_Stango
User avatar
Posts: 12
Joined: 31 May 2017, 13:54
Reputation: 0

Post » 04 Jun 2017, 14:59

Technochips wrote:rename the .love file into a .zip file, then extract that

Is this the file im supposed to be extracting? http://imgur.com/olzw9va

I LÖVE LUA
User avatar
Posts: 170
Joined: 12 Aug 2013, 13:19
Reputation: 21
Contact:

Post » 04 Jun 2017, 16:53

Yes, it's that file. You need to show extensions to rename it from ".love" to ".zip".

Its_Stango
User avatar
Posts: 12
Joined: 31 May 2017, 13:54
Reputation: 0

Post » 04 Jun 2017, 18:42

I LÖVE LUA wrote:Yes, it's that file. You need to show extensions to rename it from ".love" to ".zip".

Doesn't work for some reason..
http://imgur.com/TIlM5sJ

I LÖVE LUA
User avatar
Posts: 170
Joined: 12 Aug 2013, 13:19
Reputation: 21
Contact:

Post » 04 Jun 2017, 19:20

What options do you have under "Open with"?

Its_Stango
User avatar
Posts: 12
Joined: 31 May 2017, 13:54
Reputation: 0

Post » 04 Jun 2017, 20:14

I LÖVE LUA wrote:What options do you have under "Open with"?

It's on the imgur link.

I LÖVE LUA
User avatar
Posts: 170
Joined: 12 Aug 2013, 13:19
Reputation: 21
Contact:

Post » 04 Jun 2017, 21:05

I mean what do you see when you put your mouse over "Open with" ?

Technochips
User avatar
Posts: 708
Joined: 12 Mar 2015, 16:05
Reputation: 199
Contact:

Post » 04 Jun 2017, 21:21

it's still a .love file, you need to active "show extensions" (the same url as what I LÖVE LUA linked) then rename it to a .zip file, it should show it as a compressed file, not a LOVE game file

Its_Stango
User avatar
Posts: 12
Joined: 31 May 2017, 13:54
Reputation: 0

Post » 05 Jun 2017, 14:22

I LÖVE LUA wrote:I mean what do you see when you put your mouse over "Open with" ?

http://imgur.com/oyiXS78

I LÖVE LUA
User avatar
Posts: 170
Joined: 12 Aug 2013, 13:19
Reputation: 21
Contact:

Post » 05 Jun 2017, 14:45

You might still be able to open it even thought you didn't do this (what Technochips and I linked). Try "Choose another app" and you should be able to open it with whatever archive manager you use (Winrar, 7-Zip, etc.)


Return to “Modding”

Who is online

Users browsing this forum: No registered users and 1 guest